summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorRemi Collet <remi@remirepo.net>2021-01-07 07:54:24 +0100
committerRemi Collet <remi@remirepo.net>2021-01-07 07:54:24 +0100
commit714e40ec90b8fdc127f9215dc4541634f37ef937 (patch)
tree6eb0a8f3d5c4289f58414edf5bf395e86b845b06
parentd14ea92a6e555889cb0b68114e266d88afd1b834 (diff)
update to 1.3.0HEADmaster
raise dependency on PHP 7.3 raise dependency on laminas-eventmanager 3.3 raise dependency on laminas-servicemanager 3.3 raise dependency on laminas-stdlib 3.3 raise dependency on laminas-view 2.11.3 switch to phpunit9
-rw-r--r--composer.json16
-rw-r--r--php-laminas-mvc-console.spec71
2 files changed, 54 insertions, 33 deletions
diff --git a/composer.json b/composer.json
index acfa743..3be8098 100644
--- a/composer.json
+++ b/composer.json
@@ -29,23 +29,25 @@
}
},
"require": {
- "php": "^5.6 || ^7.0",
+ "php": "^7.3 || ~8.0.0",
"container-interop/container-interop": "^1.1",
"laminas/laminas-console": "^2.6",
- "laminas/laminas-eventmanager": "^2.6.2 || ^3.0",
+ "laminas/laminas-eventmanager": "^3.3",
"laminas/laminas-modulemanager": "^2.7.1",
"laminas/laminas-mvc": "^3.0.3",
"laminas/laminas-router": "^3.0",
- "laminas/laminas-servicemanager": "^2.7.5 || ^3.0.3",
- "laminas/laminas-stdlib": "^2.7.5 || ^3.0",
+ "laminas/laminas-servicemanager": "^3.3",
+ "laminas/laminas-stdlib": "^3.3",
"laminas/laminas-text": "^2.6",
- "laminas/laminas-view": "^2.6.3",
+ "laminas/laminas-view": "^2.11.3",
"laminas/laminas-zendframework-bridge": "^1.0"
},
"require-dev": {
"laminas/laminas-coding-standard": "~1.0.0",
"laminas/laminas-filter": "^2.6.1",
- "phpunit/phpunit": "^5.7.27 || ^6.5.8 || ^7.1.4"
+ "phpspec/prophecy": "^1.12.0",
+ "phpspec/prophecy-phpunit": "^2.0",
+ "phpunit/phpunit": "^9.3"
},
"conflict": {
"laminas/laminas-mvc": "<3.0.0"
@@ -74,6 +76,6 @@
"test-coverage": "phpunit --colors=always --coverage-clover clover.xml"
},
"replace": {
- "zendframework/zend-mvc-console": "self.version"
+ "zendframework/zend-mvc-console": "^1.2.0"
}
}
diff --git a/php-laminas-mvc-console.spec b/php-laminas-mvc-console.spec
index 99f644c..38a8eec 100644
--- a/php-laminas-mvc-console.spec
+++ b/php-laminas-mvc-console.spec
@@ -1,13 +1,13 @@
# remirepo/Fedora spec file for php-laminas-mvc-console
#
-# Copyright (c) 2016-2020 Remi Collet
+# Copyright (c) 2016-2021 Remi Collet
# License: CC-BY-SA
# http://creativecommons.org/licenses/by-sa/4.0/
#
# Please, preserve the changelog entries
#
%global bootstrap 0
-%global gh_commit 0c16223557fdb9bba853f6de22e1040824c1c966
+%global gh_commit 90338c7b61a5fa8445c0a41925a4ae351459fa79
%global gh_short %(c=%{gh_commit}; echo ${c:0:7})
%global gh_owner laminas
%global gh_project laminas-mvc-console
@@ -23,7 +23,7 @@
%endif
Name: php-%{gh_project}
-Version: 1.2.0
+Version: 1.3.0
Release: 1%{?dist}
Summary: %{namespace} Framework %{library}/%{subproj} component
@@ -35,27 +35,31 @@ Source1: makesrc.sh
BuildArch: noarch
# Tests
%if %{with_tests}
-BuildRequires: php(language) >= 5.6
+BuildRequires: php(language) >= 7.3
BuildRequires: php-spl
# From composer, "require-dev": {
# "laminas/laminas-coding-standard": "~1.0.0",
# "laminas/laminas-filter": "^2.6.1",
-# "phpunit/phpunit": "^5.7.27 || ^6.5.8 || ^7.1.4"
+# "phpspec/prophecy": "^1.12.0",
+# "phpspec/prophecy-phpunit": "^2.0",
+# "phpunit/phpunit": "^9.3"
# remirepo:1
%if 0%{?fedora} >= 27 || 0%{?rhel} >= 8
BuildRequires: (php-composer(container-interop/container-interop) >= 1.1 with php-composer(container-interop/container-interop) < 2)
BuildRequires: (php-autoloader(%{gh_owner}/laminas-console) >= 2.6 with php-autoloader(%{gh_owner}/laminas-console) < 3)
-BuildRequires: (php-autoloader(%{gh_owner}/laminas-eventmanager) >= 3.0 with php-autoloader(%{gh_owner}/laminas-eventmanager) < 4)
+BuildRequires: (php-autoloader(%{gh_owner}/laminas-eventmanager) >= 3.3 with php-autoloader(%{gh_owner}/laminas-eventmanager) < 4)
BuildRequires: (php-autoloader(%{gh_owner}/laminas-modulemanager) >= 2.7.1 with php-autoloader(%{gh_owner}/laminas-modulemanager) < 3)
BuildRequires: (php-autoloader(%{gh_owner}/laminas-mvc) >= 3.0.3 with php-autoloader(%{gh_owner}/laminas-mvc) < 4)
BuildRequires: (php-autoloader(%{gh_owner}/laminas-router) >= 3.0 with php-autoloader(%{gh_owner}/laminas-router) < 4)
-BuildRequires: (php-autoloader(%{gh_owner}/laminas-servicemanager) >= 3.0.3 with php-autoloader(%{gh_owner}/laminas-servicemanager) < 4)
-BuildRequires: (php-autoloader(%{gh_owner}/laminas-stdlib) >= 3.0 with php-autoloader(%{gh_owner}/laminas-stdlib) < 4)
+BuildRequires: (php-autoloader(%{gh_owner}/laminas-servicemanager) >= 3.3 with php-autoloader(%{gh_owner}/laminas-servicemanager) < 4)
+BuildRequires: (php-autoloader(%{gh_owner}/laminas-stdlib) >= 3.3 with php-autoloader(%{gh_owner}/laminas-stdlib) < 4)
BuildRequires: (php-autoloader(%{gh_owner}/laminas-text) >= 2.6 with php-autoloader(%{gh_owner}/laminas-text) < 3)
-BuildRequires: (php-autoloader(%{gh_owner}/laminas-view) >= 2.6.3 with php-autoloader(%{gh_owner}/laminas-view) < 3)
+BuildRequires: (php-autoloader(%{gh_owner}/laminas-view) >= 2.11.3 with php-autoloader(%{gh_owner}/laminas-view) < 3)
BuildRequires: (php-autoloader(%{gh_owner}/laminas-zendframework-bridge) >= 1.0 with php-autoloader(%{gh_owner}/laminas-zendframework-bridge) < 2)
BuildRequires: (php-autoloader(%{gh_owner}/laminas-filter) >= 2.6.1 with php-autoloader(%{gh_owner}/laminas-filter) < 3)
-# remirepo:14
+BuildRequires: (php-composer(phpspec/prophecy) >= 1.12.0 with php-composer(phpspec/prophecy) < 2)
+BuildRequires: (php-composer(phpspec/prophecy-phpunit) >= 2.0 with php-composer(phpspec/prophecy-phpunit) < 3)
+# remirepo:16
%else
BuildRequires: php-container-interop
BuildRequires: php-laminas-console
@@ -69,39 +73,41 @@ BuildRequires: php-laminas-text
BuildRequires: php-laminas-view
BuildRequires: php-laminas-zendframework-bridge
BuildRequires: php-laminas-filter
+BuildRequires: php-phpspec-prophecy
+BuildRequires: php-phpspec-prophecy-phpunit
%endif
-%global phpunit %{_bindir}/phpunit7
-BuildRequires: phpunit7 >= 7.1.4
+%global phpunit %{_bindir}/phpunit9
+BuildRequires: phpunit9 >= 9.3
%endif
# Autoloader
BuildRequires: php-fedora-autoloader-devel
# From composer, "require": {
-# "php": "^5.6 || ^7.0",
+# "php": "^7.3 || ~8.0.",
# "container-interop/container-interop": "^1.1",
# "laminas/laminas-console": "^2.6",
-# "laminas/laminas-eventmanager": "^2.6.2 || ^3.0",
+# "laminas/laminas-eventmanager": "^3.3",
# "laminas/laminas-modulemanager": "^2.7.1",
# "laminas/laminas-mvc": "^3.0.3",
# "laminas/laminas-router": "^3.0",
-# "laminas/laminas-servicemanager": "^2.7.5 || ^3.0.3",
-# "laminas/laminas-stdlib": "^2.7.5 || ^3.0",
+# "laminas/laminas-servicemanager": "^3.3",
+# "laminas/laminas-stdlib": "^3.3",
# "laminas/laminas-text": "^2.6",
-# "laminas/laminas-view": "^2.6.3",
+# "laminas/laminas-view": "^2.11.3",
# "laminas/laminas-zendframework-bridge": "^1.0"
-Requires: php(language) >= 5.6
+Requires: php(language) >= 7.3
# remirepo:1
%if 0%{?fedora} >= 27 || 0%{?rhel} >= 8
Requires: (php-composer(container-interop/container-interop) >= 1.1 with php-composer(container-interop/container-interop) < 2)
Requires: (php-autoloader(%{gh_owner}/laminas-console) >= 2.6 with php-autoloader(%{gh_owner}/laminas-console) < 3)
-Requires: (php-autoloader(%{gh_owner}/laminas-eventmanager) >= 3.0 with php-autoloader(%{gh_owner}/laminas-eventmanager) < 4)
+Requires: (php-autoloader(%{gh_owner}/laminas-eventmanager) >= 3.3 with php-autoloader(%{gh_owner}/laminas-eventmanager) < 4)
Requires: (php-autoloader(%{gh_owner}/laminas-modulemanager) >= 2.7.1 with php-autoloader(%{gh_owner}/laminas-modulemanager) < 3)
Requires: (php-autoloader(%{gh_owner}/laminas-mvc) >= 3.0.3 with php-autoloader(%{gh_owner}/laminas-mvc) < 4)
Requires: (php-autoloader(%{gh_owner}/laminas-router) >= 3.0 with php-autoloader(%{gh_owner}/laminas-router) < 4)
-Requires: (php-autoloader(%{gh_owner}/laminas-servicemanager) >= 3.0.3 with php-autoloader(%{gh_owner}/laminas-servicemanager) < 4)
-Requires: (php-autoloader(%{gh_owner}/laminas-stdlib) >= 3.0 with php-autoloader(%{gh_owner}/laminas-stdlib) < 4)
+Requires: (php-autoloader(%{gh_owner}/laminas-servicemanager) >= 3.3 with php-autoloader(%{gh_owner}/laminas-servicemanager) < 4)
+Requires: (php-autoloader(%{gh_owner}/laminas-stdlib) >= 3.3 with php-autoloader(%{gh_owner}/laminas-stdlib) < 4)
Requires: (php-autoloader(%{gh_owner}/laminas-text) >= 2.6 with php-autoloader(%{gh_owner}/laminas-text) < 3)
-Requires: (php-autoloader(%{gh_owner}/laminas-view) >= 2.6.3 with php-autoloader(%{gh_owner}/laminas-view) < 3)
+Requires: (php-autoloader(%{gh_owner}/laminas-view) >= 2.11.3 with php-autoloader(%{gh_owner}/laminas-view) < 3)
Requires: (php-autoloader(%{gh_owner}/laminas-zendframework-bridge) >= 1.0 with php-autoloader(%{gh_owner}/laminas-zendframework-bridge) < 2)
# From composer, "suggest": {
# "laminas/laminas-filter": "^2.6.1, to filter rendered results"
@@ -126,8 +132,8 @@ Requires: php-composer(fedora/autoloader)
Requires: php-spl
# Compatibily ensure by the bridge
-Obsoletes: php-zendframework-%{zf_name} < 1.2.0-99
-Provides: php-zendframework-%{zf_name} = %{version}-99
+Obsoletes: php-zendframework-%{zf_name} < 1.3.0
+Provides: php-zendframework-%{zf_name} = %{version}
Provides: php-composer(%{gh_owner}/%{gh_project}) = %{version}
Provides: php-composer(zendframework/%{zf_name}) = %{version}
Provides: php-autoloader(%{gh_owner}/%{gh_project}) = %{version}
@@ -202,6 +208,10 @@ cat << 'EOF' | tee vendor/autoload.php
<?php
require_once '%{buildroot}%{php_home}/%{namespace}/%{library}/%{subproj}/autoload.php';
\Fedora\Autoloader\Autoload::addPsr4('%{namespace}Test\\%{library}\\%{subproj}\\', dirname(__DIR__) . '/test');
+\Fedora\Autoloader\Dependencies::required([
+ '%{php_home}/Prophecy/autoload.php',
+ '%{php_home}/Prophecy/PhpUnit/autoload.php',
+]);
EOF
: check compat autoloader
@@ -212,10 +222,10 @@ exit (class_exists("\\Zend\\%{library}\\%{subproj}\\ConfigProvider") ? 0 : 1);
: upstream test suite
ret=0
-for cmdarg in "php %{phpunit}" php72 php73 php74; do
+for cmdarg in "php %{phpunit}" php73 php74 php80; do
if which $cmdarg; then
set $cmdarg
- $1 ${2:-%{_bindir}/phpunit7} --verbose || ret=1
+ $1 ${2:-%{_bindir}/phpunit9} --verbose || ret=1
fi
done
exit $ret
@@ -235,6 +245,15 @@ exit $ret
%changelog
+* Thu Jan 7 2021 Remi Collet <remi@remirepo.net> - 1.3.0-1
+- update to 1.3.0
+- raise dependency on PHP 7.3
+- raise dependency on laminas-eventmanager 3.3
+- raise dependency on laminas-servicemanager 3.3
+- raise dependency on laminas-stdlib 3.3
+- raise dependency on laminas-view 2.11.3
+- switch to phpunit9
+
* Thu Jan 16 2020 Remi Collet <remi@remirepo.net> - 1.2.0-1
- switch to Laminas